#include "accumulate.h"
#include <math.h>


void accumulate(double term, double *esum, double *sum_squares)
{
	*esum+=term;
	*sum_squares+=term*term;
}

void stats_from_accum(double esum, double sum_squares, int n, double *av, double *var, double *sd)
{
	double xn=n;
	*av=esum/xn;
	*var=sum_squares/xn - pow((esum/xn),2);
	*sd=sqrt(*var);
}